<?xml version="1.0" encoding="UTF-8"?>
<sequence xmlns="http://ws.apache.org/ns/synapse" name="refunds_r12_insert_response_seq">
    <payloadFactory media-type="xml">
       
      <format>
            <p:_postinsert_response xmlns:p="http://ws.wso2.org/dataservice">
                <xs:PARTNER_TRX_NUM xmlns:xs="http://ws.wso2.org/dataservice">$1</xs:PARTNER_TRX_NUM>
                <xs:BATCH_NO xmlns:xs="http://ws.wso2.org/dataservice">$2</xs:BATCH_NO>
                <xs:INTERNAL_REF_NUM xmlns:xs="http://ws.wso2.org/dataservice">$3</xs:INTERNAL_REF_NUM>
                <xs:REFUND_STATUS xmlns:xs="http://ws.wso2.org/dataservice">$4</xs:REFUND_STATUS>
                <xs:PARTNER_ERROR_REASON xmlns:xs="http://ws.wso2.org/dataservice">$5</xs:PARTNER_ERROR_REASON>
                <xs:TRX_AMOUNT xmlns:xs="http://ws.wso2.org/dataservice">$6</xs:TRX_AMOUNT>
                <xs:WHETHER_CHARGE_BACK xmlns:xs="http://ws.wso2.org/dataservice">$7</xs:WHETHER_CHARGE_BACK>
                <xs:PARTNER_REF_ID xmlns:xs="http://ws.wso2.org/dataservice">$8</xs:PARTNER_REF_ID>
            </p:_postinsert_response>
        </format>
        <args>
            <arg evaluator="xml" expression="get-property('PARTNER_TRX_NUM')"/>
            <arg evaluator="xml" expression="get-property('BATCH_NO')"/>
            <arg evaluator="xml" expression="get-property('INTERNAL_REF_NUM')"/>
            <arg evaluator="xml" expression="get-property('REFUND_STATUS')"/>
            <arg evaluator="xml" expression="get-property('PARTNER_ERROR_REASON')"/>
            <arg evaluator="xml" expression="get-property('TRX_AMOUNT')"/>
            <arg evaluator="xml" expression="get-property('WHETHER_CHARGE_BACK')"/>
            <arg evaluator="xml" expression="get-property('PARTNER_REF_ID')"/>
        </args>
    </payloadFactory>
    <call description="">
        <endpoint key="gov:/motorola/Payments/Affirm/endpoints/refund_payment_affirm_r12_dss_ep"/>
    </call>
    <property name="messageType" scope="axis2" type="STRING" value="application/json"/>
    <property expression="json-eval($.REQUEST_STATUS)"
        name="REQUEST_STATUS" scope="default" type="STRING" xmlns:ns="http://org.apache.synapse/xsd"/>
    <filter regex="SUCCESSFUL" source="get-property('REQUEST_STATUS')" xmlns:ns="http://org.apache.synapse/xsd">
        <then>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Data loaded successfully to R12"/>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </then>
        <else>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Failed to load data to R12"/>
                    <payloadFactory media-type="xml">
        <format>
            <p:_putupdate_processflag xmlns:p="http://ws.wso2.org/dataservice">
                <xs:BATCH_NO_WM xmlns:xs="http://ws.wso2.org/dataservice">$1</xs:BATCH_NO_WM>
                <xs:BATCH_NO xmlns:xs="http://ws.wso2.org/dataservice">$1</xs:BATCH_NO>
                <xs:WM_ERROR_MESSAGE xmlns:xs="http://ws.wso2.org/dataservice">$2</xs:WM_ERROR_MESSAGE>
                <xs:WM_PROCESS_FLAG xmlns:xs="http://ws.wso2.org/dataservice">E</xs:WM_PROCESS_FLAG>
            </p:_putupdate_processflag>
        </format>
        <args>
            <arg evaluator="xml" expression="get-property('BATCH_NO')"/>
            <arg value=""/>
        </args>
    </payloadFactory>
    <call description="">
        <endpoint key="gov:/motorola/Payments/Affirm/endpoints/refund_payment_affirm_r12_dss_ep"/>
    </call>
    <property name="messageType" scope="axis2" type="STRING" value="application/json"/>
    <property expression="json-eval($.REQUEST_STATUS)"
        name="REQUEST_STATUS" scope="default" type="STRING" xmlns:ns="http://org.apache.synapse/xsd"/>
    <filter regex="SUCCESSFUL" source="get-property('REQUEST_STATUS')" xmlns:ns="http://org.apache.synapse/xsd">
        <then>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Data updated successfully into R12"/>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </then>
        <else>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Failed to update the data into R12"/>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </else>
    </filter>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </else>
    </filter>	
   
    <log level="full">
        <property name="INSIDE refunds_r12_insert_response_seq" value="INSIDE refunds_r12_insert_response_seq *********"/>
    </log>
    <property name="SLT_INTEGRATION_STEP" value="Inserted Affirm post response into inboundtable " scope="default" type="STRING"/>
    <payloadFactory media-type="xml">
        <format>
            <p:_putupdate_processflag xmlns:p="http://ws.wso2.org/dataservice">
                <xs:BATCH_NO_WM xmlns:xs="http://ws.wso2.org/dataservice">$1</xs:BATCH_NO_WM>
                <xs:BATCH_NO xmlns:xs="http://ws.wso2.org/dataservice">$1</xs:BATCH_NO>
                <xs:WM_ERROR_MESSAGE xmlns:xs="http://ws.wso2.org/dataservice">$2</xs:WM_ERROR_MESSAGE>
                <xs:WM_PROCESS_FLAG xmlns:xs="http://ws.wso2.org/dataservice">C</xs:WM_PROCESS_FLAG>
            </p:_putupdate_processflag>
        </format>
        <args>
            <arg evaluator="xml" expression="get-property('BATCH_NO')"/>
            <arg value=""/>
        </args>
    </payloadFactory>
    <call description="">
        <endpoint key="gov:/motorola/Payments/Affirm/endpoints/refund_payment_affirm_r12_dss_ep"/>
    </call>
    <property name="messageType" scope="axis2" type="STRING" value="application/json"/>
    <property expression="json-eval($.REQUEST_STATUS)"
        name="REQUEST_STATUS" scope="default" type="STRING" xmlns:ns="http://org.apache.synapse/xsd"/>
    <filter regex="SUCCESSFUL" source="get-property('REQUEST_STATUS')" xmlns:ns="http://org.apache.synapse/xsd">
        <then>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Data updated successfully into R12"/>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </then>
        <else>
            <property name="SLT_INTEGRATION_STEP" scope="default"
                type="STRING" value="Affirm / Failed to update the data into R12"/>
            <sequence key="refunds_r12_standard_logging_seq"/>
        </else>
    </filter>	
    <log level="full">
        <property name="INSIDE refunds_r12_insert_response_seq" value="INSIDE refunds_r12_insert_response_seq *********"/>
    </log>
     <property name="SLT_INTEGRATION_STEP" value="Affirm Payment / refunds_r12_insert_response_seq " scope="default" type="STRING"/>
                <sequence key="refunds_r12_standard_logging_seq"/>
      <sequence key="affirm_nagios_logging_drop"/>           
                
</sequence>
